<?php
/**
 * CreditCard API Demo - config file
 * version 1.0
 * 
 * author: Thorsten Kugler 
 * email: tkugler@micropayment.de
 * supported 2009 by micropayment
 */
    

	if(!defined('PROJECT_NAME')) //Projektname aus Ihrer Konfiguration auf micropayment.de
		define('PROJECT_NAME', '');

	if(!defined('MCC__ACCESSKEY')) //AccessKey aus Ihrer Konfiguration auf micropayment.de
		define('MCC__ACCESSKEY', '');

	if(!defined('MCC__TESTMODE'))
		define('MCC__TESTMODE', 1);

	if(!defined('MCC__CREDITCARDSERVICE_NVP_URL'))
		define('MCC__CREDITCARDSERVICE_NVP_URL', 'https://sipg.micropayment.de/public/creditcard/v2.3/nvp/');  //Service-URL aus Ihrer Konfiguration auf micropayment.de
    
	if(!defined('MCC__CREDITCARDSERVICE_INTERFACE'))
		define('MCC__CREDITCARDSERVICE_INTERFACE', 'IMcpCreditcardService_v2_3');

	if(!defined('PROJECT_CURRENCY'))
		define('PROJECT_CURRENCY', 'EUR');
	
	if(!defined('SEND_MAIL'))
		define('SEND_MAIL', 1);

	if(!defined('MIN_PASSWD_LENGTH'))
		define('MIN_PASSWD_LENGTH', 6);

	if(!defined('PROJECT_TITLE'))
		define('PROJECT_TITLE', 'DEMO-Shop Auswahl an Icons'); 


	//define products
	$aProductList = array(
		'P0001' => array('title' => 'Demo-Produkt01', 'amount' => 250),
		'P0002' => array('title' => 'Demo-Produkt02', 'amount' => 300),
		'P0003' => array('title' => 'Demo-Produkt03', 'amount' => 350),
		'P0004' => array('title' => 'Demo-Produkt04', 'amount' => 500)
	);

?>
