<?php 
	require_once( 'config.php' );
	require_once( 'tools.php' );
	require_once( './lib/init.php' );
	require_once( './lib/services/' . MCC__CREDITCARDSERVICE_INTERFACE . '.php' );
	require_once( MCP__SERVICELIB_DISPATCHER . 'TNvpServiceDispatcher.php');    

	session_name('creditcard');
	session_start();
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
	<head>
		<title>CreditCard API Demo</title>
		<link href="style.css" rel="stylesheet">
		<script src="/lib/js/prototype-1.6.0.3.js" type="text/javascript"></script> 
	</head>

<body>
			<div id="header" >
		<table width="608" align="center" class="header">
			<tr >
				<td width="100"><a href="creditcard_demo.php"><img src="./img/creditcard.gif" border="0"></a></td>
				<td align="left">CreditCard - Demo - Shop</td>
			</tr>
		</table>
	</div>
	
		<div align="center">
	
		<table class="naviMain" width="608">
			<tr>
				
				<?php 
					if (isset($_SESSION['customerId'])) {
						print "<td class=\"naviMainNotSelected\" width=\"140\">";
						print "&nbsp;<img src=\"./img/icon.arrow.4x5.gif\" align=\"absmiddle\"> <a href=\"creditcard_demo.php?action=address\">Adress-Daten</a>";	
					}
					else {
						print "<td class=\"naviMainNotSelected\" width=\"160\">";
						print "&nbsp;<img src=\"./img/icon.arrow.4x5.gif\" align=\"absmiddle\"> <a href=\"creditcard_demo.php?action=login\">Registrierung/Login</a>";
					}
				
				?>
				
				</td>
				<td class="naviMainNotSelected" width="150"><img src="./img/icon.arrow.4x5.gif" align="absmiddle"> <a href="creditcard_demo.php?action=productsbag">Warenkorb</a><?php print countProductsTmp();?></td>
				<td class="naviMainNotSelected" width="150">
				<?php 
					if (isset($_SESSION['customerId'])) {
						print "<img src=\"./img/icon.arrow.4x5.gif\" align=\"absmiddle\"> <a href=\"creditcard_demo.php?action=productsbought\">Eink&auml;ufe</a> ". countProducts();	
					}
				
				?>
				</td>																		
								 
							
				<td class="naviMainNotSelected" >&nbsp;</td>
								
				<td class="naviLower" align=right>
				<?php 
					if (isset($_SESSION['customerId'])) {
						print "<font size=1>Eingeloggt als: ".getCustomerName()."</font>";	
					}
					else {
						print "&nbsp;";
					}
				
				?>
				
				</td>
			</tr>
		</table>
		<table class="naviSubTable" width="608">
			<tr>
				<td class="naviSub" width="80" ></td>
				<td class="naviSub" width="80"></td>
				<td class="naviSub" width="80"></td>
				<td class="naviSub" ></td>
				<td class="naviFooter" width="80">			<?php 
					if (isset($_SESSION['customerId'])) {
						print "<a href=\"creditcard_demo.php?action=logout\">Logout</a>";	
					}
				
				?></td>
			</tr>
		</table>
		
		
		<table>
			<tr>
				<td class="border" align="center">
					<div id="shop">
						<form method="POST" action="creditcard_demo.php">
							<input type="hidden" name="action" id="action" value="login">
							<input type="hidden" name="username" id="username" value="">
							<b>Willkommen im micropayment&trade; Demoshop.</b><br />Bitte w&auml;hlen Sie sich Produkte aus unserem Demoshop aus und f&uuml;gen diese dem Warenkorb hinzu:<br><br>	
								<div class="products" id="products">
									<table width="500">
										<tr>
											<td><input type="checkbox" name="products[]" value="P0001" /><img border="0" src="./img/P0001.jpg" height=50></td>
											<td><input type="checkbox" name="products[]" value="P0002" /><img border="0" src="./img/P0002.jpg"  height=50></td>
										</tr>
										<tr>
											<td class="td_products"><b>Produktbezeichnung 01</b></td>
											<td class="td_products"><b>Produktbezeichnung 02</b></td>
										</tr>
										<tr>
											<td class="td_products"><em>2,50</em></td>
											<td class="td_products"><em>3,00</em></td>
										</tr>
										<tr>
											<td>&nbsp;</td>
											<td>&nbsp;</td>
										</tr>		
										<tr>
											<td><input type="checkbox" name="products[]" value="P0003" /><img border="0" src="./img/P0003.jpg" height=50></td>
											<td><input type="checkbox" name="products[]" value="P0004" /><img border="0" src="./img/P0004.jpg"  height=50></td>
										</tr>
										<tr>
											<td class="td_products"><b>Produktbezeichnung 03</b></td>
											<td class="td_products"><b>Produktbezeichnung 04</b></td>
										</tr>
										<tr>
											<td class="td_products"><em>3,50</em></td>
											<td class="td_products"><em>5,00</em></td>
										</tr>
										<tr>
											<td>&nbsp;</td>
											<td>&nbsp;</td>
										</tr>																			
										<tr>
											<td ></td>	
											<td ></td>
										</tr>
									</table>
								<input class="button" type="submit" id="submit" name="submit" value="Artikel jetzt kaufen" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
								</div>
								
							</form>
						</div>
					</td>
				</tr>
		</table>
	</div>	

	<div id="footer" class="footer">
		<a href="http://techdoc.micropayment.de/" target="_blank">Technische Dokumentationen</a> | <a href="./readme.txt" target="_blank">Installationsanleitung</a> | <a href="https://www.micropayment.de/" target="_blank">micropayment&trade;</a><br />
		CreditCard API Demo, version 1.0<br />
		powered 2009 by micropayment&trade;<br />
	</div>
	
</body>
</html>